BellmanFordWizardDefaultTraits< GR, LEN > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
BellmanFordWizardDefaultTraits< GR, LEN > Struct Template Reference

## Detailed Description

### template<typename GR, typename LEN>
struct lemon::BellmanFordWizardDefaultTraits< GR, LEN >

Default traits class of bellmanFord() function.

Template Parameters

  GR | The type of the digraph.
  LEN | The type of the length map.

`#include <lemon/bellman_ford.h>`

Inheritance diagram for BellmanFordWizardDefaultTraits< GR, LEN >:
[legend]

## Public Types
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef LEN | LengthMap
| The type of the map that stores the arc lengths. More...
typedef LEN::Value | Value
| The type of the arc lengths.
typedef BellmanFordDefaultOperationTraits < Value > | OperationTraits
| Operation traits for Bellman-Ford algorithm. More...
typedef GR::template NodeMap < typename GR::Arc > | PredMap
| The type of the map that stores the last arcs of the shortest paths. More...
typedef GR::template NodeMap < Value > | DistMap
| The type of the map that stores the distances of the nodes. More...
typedef lemon::Path< Digraph > | Path
| The type of the shortest paths. More...

## Static Public Member Functions
static PredMap * | createPredMap (const GR &g)
| Instantiates a `PredMap`. More...
static DistMap * | createDistMap (const GR &g)
| Instantiates a `DistMap`. More...

## Member Typedef Documentation

typedef LEN LengthMap

The type of the map that stores the arc lengths. It must meet the ReadMap concept.

typedef BellmanFordDefaultOperationTraits<Value> OperationTraits

It defines the used operations and the infinity value for the given `Value` type.

See Also
  BellmanFordDefaultOperationTraits

typedef GR::template NodeMap<typename GR::Arc> PredMap

The type of the map that stores the last arcs of the shortest paths. It must conform to the WriteMap concept.

typedef GR::template NodeMap<Value> DistMap

The type of the map that stores the distances of the nodes. It must conform to the WriteMap concept.

typedef lemon::Path<Digraph> Path

The type of the shortest paths. It must meet the Path concept.

## Member Function Documentation

static PredMap* createPredMap | ( | const GR & | g | ) |
| inlinestatic

This function instantiates a PredMap.

Parameters

  g | is the digraph to which we would like to define the PredMap.

static DistMap* createDistMap | ( | const GR & | g | ) |
| inlinestatic

This function instantiates a DistMap.

Parameters

  g | is the digraph to which we would like to define the DistMap.